Bug 857295 - Provide ability to enter disabled state automatically on shutdown
Provide ability to enter disabled state automatically on shutdown
Product: JBoss Operations Network
Classification: JBoss
Component: Usability (Show other bugs)
JON 3.1.1
All All
unspecified Severity low
: ---
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-09-13 23:54 EDT by faulkner
Modified: 2015-01-04 16:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-28 08:08:14 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description faulkner 2012-09-13 23:54:47 EDT
Description of problem:

Currently, putting a resource into the disabled state is a manual process. It would be extremely convenient if, when shutting down a server, it was possible to either provide an option in the menu of "Shut down" "Disable and shut down", or if after shutting the server down the user was asked if they wanted to put the resource in a disabled state.

The idea for this came up at the RHTC during a JON discussion.
Comment 1 Lukas Krejci 2013-11-18 07:34:46 EST
RHQ/JON has a generic model for operations which currently doesn't have a concept of "shutdown" nor a concept of "chained" actions to be performed upon operation completion.

I don't think that we need to explicitly know that certain operation on a resource type is a shutdown operation. The more important part of this is the ability to follow up the execution of the operation by an action.

The list of possible actions on the server could be similar to alert notifications actually - change resource state (disabled/ignored), run yet another operation, send an email with the result, run a CLI script, etc.

Also note that all this is already technically possible using alerts, although I assume that this BZ is about adding such ability in an ad hoc manner (e.g. just this time, when I run shutdown, I want the resource disabled), rather than predefined reaction that would happen each time the operation ran.

Note You need to log in before you can comment on or make changes to this bug.